<template>
  <div id="hero" class="row justify-evenly vertical-bottom">
    <div class="col-12 col-sm-12 col-md-4 q-px-md">
      <div :class="($q.platform.is.mobile ? '' : 'q-mt-xl q-pl-lg')">
        <br><br>
        <span :class="($q.platform.is.mobile ? 'text-h2' : 'text-h1') + ' text-bold text-white'">
          Get actionable insights from your digital activity
        </span>
        <br><br>
        <div :class="($q.platform.is.mobile ? 'text-h6' : 'text-h5') + ' text-justify text-grey-4'">
          theNexusCodes builds your personal digital journal using the website you visit. Big-tech uses this for powering recommendation engines, social feed, search results, and more. You can use this to find connecting links in your knowledge.
        </div>
        <div :class="($q.platform.is.mobile? 'row justify-end' : 'row') + ' full-width'">
          <q-btn
            to="request-access"
            size="lg"
            style="font-size: 16px;"
            text-color="black"
            class="q-my-md ctrl-p-alt-s-secondary-accent"
            label="Request access"
          />
        </div>
      </div>
    </div>
    <div class="col-12 col-sm-12 col-md-6 q-ma-md q-pt-md column items-center">
      <index-graph />
    </div>
    <div id="usage" class="row justify-center full-width q-my-lg q-pt-xs">
      <q-btn round color="alt-primary" icon="expand_more" to="#usage"/>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api';
import IndexGraph from './Graph.vue'

export default defineComponent({
  name: 'IndexHero',

  // data () {
  //   return {
  //   }
  // },

  components: {
    IndexGraph
  },
})
</script>
